body {
    margin: 0;
    padding: 0;
}

.container {
    width: 100%;
}

.header {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: red;
}

.header__contenido {
    display: flex;
    flex-direction: row;
    align-items: center;
    font-weight: 600;
    color: white;
    gap: 0.3rem;
    padding: 0.5rem 0;
}

.header__logo {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    margin-left: 1rem;
    background-color: white;
    cursor: pointer;
}

.main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgb(223, 169, 70);
    padding: 1rem;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    border: 2px solid #ccc;
    max-width: 100%;
}

.main__title-pokemon {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
    border-radius: 0.5rem;
    padding: 0.5rem 2.5rem;
    width: 73%;
    max-width: 20rem;
    font-family: 'Source Sans Pro', sans-serif;
}

.main__pokemon-title {
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
    margin: 0;
    text-transform: uppercase;
}

.main__pokemon-title:first-letter {
    text-transform: uppercase;
}

.main__pokemon {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80%;
    max-width: 20rem;
}

.main__pokemon-image {
    width: 12rem;
    transition: filter 0.5s;
    margin-top: 1rem;
    margin-bottom: -1rem;
    z-index: 1;


}

.main__logo {
    width: 2rem;
    height: 1.9rem;
}

.main__info-pokemon {
    background-color: white;
    border-radius: 0.80rem;
    width: 80%;
    max-width: 20rem;
    display: grid;
    grid-template-columns: 1;
    padding: 0.5rem;
    margin-bottom: 1rem;
    line-height: 0.5rem;
    color: gray;
    font-family: 'Source Sans Pro', sans-serif;
}

.main__container-title {
    display: flex;
    justify-content: space-around;
}

.main__info-pokemon-subtitle {
    font-size: 1.1rem;
    line-height: 1;
    text-align: center;
    font-weight: 600;

}


.footer {
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    border-radius: 2rem;
    margin-bottom: 1rem;
    font-family: 'Source Sans Pro', sans-serif;
}

.footer__subtitle {
    font-weight: 600;
    color: rgb(223, 169, 70);
}

.footer__others {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

.footer__container-pokemon {
    background-color: rgb(230 212 180);
    border-radius: 0.5rem;
    padding: 0.5rem;
    cursor: pointer;
    transition: all 0.5s;
    margin: 0;
}

.footer__pokemon-image {
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    aspect-ratio: 1/1;


}

.footer__container-pokemon:hover {
    transform: scale(1.1);
    background-color: rgb(161, 134, 83);

}


@media (max-width: 320px) {
    .main__pokemon img:nth-child(2) {
        width: 15rem;
        max-width: 15rem;
    }

    .main__info-pokemon {
        width: 80%;

    }

    .main__title-pokemon {
        width: 60%;
    }

    .main__pokemon {
        width: 100%;
    }

    .main__container-title {

        align-items: baseline;

    }


}

@media (min-width: 320px) and (max-width: 700px) {
    .main__info-pokemon article p {
        width: 30%;
        text-align: start;

    }

    .main__info-pokemon {
        padding-top: 3.5rem;
    }

    .main__pokemon img:nth-child(2) {
        width: 15rem;
        max-width: 14rem;
        margin-top: 1rem;
        height: 12rem;
        margin-bottom: -3rem;
    }


    .footer__others {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 3rem;
    }

    .main__info-pokemon-subtitle {
        font-weight: normal;
    }

}


@media (min-width:701px) {

    body {
        background-color: rgb(218, 167, 136);
    }

    .header {
        justify-content: start;
        border-radius: 0.5rem 0.5rem 0 0;
    }

    .container {
        width: 95%;
        max-width: 60rem;
        margin: 1rem auto;

    }

    .main {
        flex-direction: row;
        justify-content: space-around;
        align-items: baseline;
    }

    .main__title-pokemon {

        margin-bottom: 3.5rem;
        width: 65%;
    }

    .footer {
        flex-direction: row;
        justify-content: space-around;
        border-radius: 0 0 0.5rem 0.5rem;
    }

    .footer__others {
        grid-template-columns: repeat(4, 1fr);
        margin-left: 2rem;

    }

    .footer__subtitle {
        margin-left: 2rem;
    }

    .main__pokemon {
        height: 200px;
        justify-content: space-around;
    }

    .main__info-pokemon {
        width: 35%;
        grid-template-columns: repeat(2, 1fr);
        line-height: 1rem;
        text-align: center;
        height: 20rem;

    }

    .main__container-title {

        flex-direction: column;
    }

    .main__info-pokemon-subtitle {
        margin-top: -2rem;
    }

    .main__pokemon img:nth-child(2) {
        width: 15rem;
        margin-top: -2rem;
        max-width: 14rem;
        max-height: 15rem;
    }

}

@media (min-width: 773px) {
    .container {
        width: 85%;
        max-width: 45rem;
        margin: 1rem auto;

    }
}

@media ((min-width: 1400px) and (max-width:1557px)) {
    body {
        background-color: rgb(206, 132, 132);
    }

    .container {
        width: 90%;
        max-width: none;
        margin: 4rem auto;
        height: 80rem;
    }

    .header__contenido {
        font-size: 2rem;
        padding: 8rem;
    }


    .main {
        padding-bottom: 2rem;
    }


    .main__pokemon {
        width: 20rem;
        max-width: none;
    }

    .main__info-pokemon {
        max-width: none;
        max-height: none;
        padding-bottom: 3rem;

    }

    .main__title-info {
        font-size: 30px;
        margin-bottom: 3rem;
    }

    .main__pokemon img:nth-child(2) {

        width: 30rem;
        max-height: 20rem;
        max-width: 20rem;
    }

    .main__pokemon-title {
        font-size: 2rem;
    }

    .main__info-pokemon-subtitle {
        font-size: 30px;
    }

    .footer__subtitle {
        font-size: 3rem;
    }

    .footer__pokemon-image {
        width: 7rem;
        height: 7rem;
    }

    .footer__others {
        margin-right: 1rem;
    }
}




@media (min-width:1557px) {
    body {
        background-color: rgb(206, 132, 132);
    }

    .container {
        width: 90%;
        max-width: none;
        margin: 4rem auto;
        height: 80rem;
    }

    .header {
        height: 90px;
    }

    .header__contenido {
        font-size: 2rem;
    }

    .main {
        padding-bottom: 2rem;
        height: 441px;
        padding-top: 2rem;
    }


    .main__pokemon {
        width: 20rem;
        max-width: none;
        margin-right: -162px
    }

    .main__info-pokemon {
        max-width: none;
        max-height: none;
        padding-bottom: 3rem;
        height: 22rem;
        padding-top: 2.2rem;


    }

    .main__title-info {
        font-size: 30px;
        margin-bottom: 3rem;
    }

    .main__pokemon img:nth-child(2) {

        width: 30rem;
        max-height: 20rem;
        max-width: 20rem;
    }

    .main__pokemon-title {
        font-size: 2rem;
    }

    .main__info-pokemon-subtitle {
        font-size: 30px;
    }

    .footer {
        height: 150px;
    }

    .footer__subtitle {
        font-size: 3rem;
        margin-left: -1.8rem;
        margin-right: -162px
    }

    .footer__pokemon-image {
        width: 7rem;
        height: 7rem;
    }

    .footer__others {
        margin-right: -2rem;

    }
}